---
layout: commands
page_title: 'Commands: Config List'
description: >-
  The `consul config list` command lists all configuration entries for each config entry kind.
---

# Consul Config List

Command: `consul config list`

Corresponding HTTP API Endpoint: [\[GET\] /v1/config/:kind](/consul/api-docs/config#list-configurations)

The `config list` command lists all given config entries of the given kind.
See the [configuration entries docs](/consul/docs/agent/config-entries) for more
details about configuration entries.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required<sup>1</sup>              |
| ------------------------------------- |
| `service:read`<br />`intentions:read` |

<sup>1</sup> The ACL required depends on the config entry kind being read:

| Config Entry Kind   | Required ACL      |
| ------------------- | ----------------- |
| api-gateway         | `mesh:read`       |
| ingress-gateway     | `service:read`    |
| proxy-defaults      | `<none>`          |
| service-defaults    | `service:read`    |
| service-intentions  | `intentions:read` |
| service-resolver    | `service:read`    |
| service-router      | `service:read`    |
| service-splitter    | `service:read`    |
| terminating-gateway | `service:read`    |

## Usage

Usage: `consul config list [options]`

#### Command Options

- `-kind` - Specifies the kind of the config entry to list.
- `-filter` - Specifies an expression to use for filtering the results.

#### Enterprise Options

@include 'http_api_partition_options.mdx'

@include 'http_api_namespace_options.mdx'

#### API Options

@include 'http_api_options_client.mdx'

## Examples

To list all service-defaults config entries:

    $ consul config list -kind service-defaults
    billing
    db
    web

The following lists service-defaults with a filter expression:

    $ consul config list -kind service-defaults -filter 'MutualTLSMode == "permissive"'
    db
    web

